import sys

args = sys.argv
sys.path.append(dir(args[0]))

import XBPY261_smtplib as xbsmtplib
print(xbsmtplib._have_ssl)

#import smtplib
from datetime import datetime, date, time

#Set up attributes
keys = ['to', 'from', 'subject', 'body', 'cc', 'bcc', 'replyto', 'smtpServer', 'smtpPort', 'smtpUsername', 'smtpPassword', 'smtpSSL']
inputs = {}
for i in range(len(keys)):
	inputs[keys[i]] = args[i + 1]

print("INPUTS['smtpServer'] = \"" + inputs['to'] + "\"\n\n\n")

#Check we have a to and a from
if (inputs['to'] == '' or inputs['from'] == ''):
	sys.exit(1)


#Set up authentication
if (inputs['smtpSSL'] == 'YES'):
	if (len(inputs['smtpPort']) != 0 and inputs['smtpPort'] != '0'):
		server = xbsmtplib.SMTP_SSL(inputs['smtpServer'], inputs['smtpPort'])
		server.connect(inputs['smtpServer'], inputs['smtpPort'])
	else:
		server = xbsmtplib.SMTP_SSL(inputs['smtpServer'])
		server.connect(inputs['smtpServer'])
else:
	if (len(inputs['smtpPort']) != 0 and inputs['smtpPort'] != '0'):
		server = xbsmtplib.SMTP(inputs['smtpServer'], inputs['smtpPort'])
		server.connect(inputs['smtpServer'], inputs['smtpPort'])
	else:
		server = xbsmtplib.SMTP(inputs['smtpServer'])
		server.connect(inputs['smtpServer'])



#Set up login
if (inputs['smtpUsername'] != ''):
	if (inputs['smtpPassword'] != ''):
		server.login(inputs['smtpUsername'], inputs['smtpPassword'])

#Get the date
now = datetime.utcnow()
#Wed, 31 Dec 2008 11:32:27 -0600

message = ("From: %s\r\n" % inputs['from'])
message += ("To: %s\r\n" % inputs['to'])
message += ("Date: %s\r\n" % now.strftime("%a, %d %b %Y %H:%M:%S %z"))
message += ("Subject: %s\r\n" % inputs['subject'].split("\r\n")[0])
message += "Content-Type: text/plain; charset=\"ISO-8859-1\""
message += "X-Mailer: Fileability Xbase 1.0\r\n"
message += "\r\n"

message += inputs['body']

#Send the email
server.sendmail(inputs['from'], inputs['to'], message)
server.quit()

print("\n".join(sys.argv))
print("\n\n\n" + message)
