require 'net/smtp'

printf(ARGV.join("\n"))

args = ARGV
keys = ['to', 'from', 'subject', 'body', 'cc', 'bcc', 'replyto', 'smtpServer', 'smtpPort', 'smtpUsername', 'smtpPassword', 'smtpSSL']
inputs = {}
keys.length.times { |i|
	inputs[keys[i]] = args[i]
}

if (inputs['to'] == '' or inputs['from'] == '')
	Process.exit
end

if (inputs['smtpPort'] != '' and inputs['smtpPort'] != '0')
	server = Net::SMTP.new(inputs['smtpServer'], inputs['smtpPort'])
else
	server = Net::SMTP.new(inputs['smtpServer'])
end

now = Time.new

message = ("From: %s\r\n" % inputs['from'])
message << ("To: %s\r\n" % inputs['to'])
message << ("Date: %s\r\n" % now.strftime("%a, %d %b %Y %H:%M:%S %z (%Z)"))
message << ("Subject: %s\r\n" % inputs['subject'].split("\r\n")[0])
message << "Content-Type: text/plain; charset=\"ISO-8859-1\""
message << "X-Mailer: Fileability Xbase 1.0\r\n"
message << "\r\n"

message += inputs['body']

if (inputs['smtpSSL'] == 'YES')
	server.esmtp = true
else
	server.esmtp = false
end

server.start(inputs['smtpServer'], inputs['smtpUsername'], inputs['smtpPassword'], :login) do |smtp|
	smtp.send_message(message, inputs['from'], inputs['to'].split(', '))	
end